Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network222.3.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
222.3.32.0
Broadcast address
222.3.47.255
First usable
222.3.32.1
Last usable
222.3.47.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
C (default /24)
As numbers
Hex DE032000 · Integer 3724746752 to 3724750847
Reverse DNS zones
32.3.222.in-addr.arpa
33.3.222.in-addr.arpa
34.3.222.in-addr.arpa
35.3.222.in-addr.arpa
36.3.222.in-addr.arpa
37.3.222.in-addr.arpa
38.3.222.in-addr.arpa
39.3.222.in-addr.arpa
40.3.222.in-addr.arpa
41.3.222.in-addr.arpa
42.3.222.in-addr.arpa
43.3.222.in-addr.arpa
44.3.222.in-addr.arpa
45.3.222.in-addr.arpa
46.3.222.in-addr.arpa
47.3.222.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011110.00000011.00100000.00000000222.3.32.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11011110.00000011.00100000.00000000222.3.32.0
Broadcast11011110.00000011.00101111.11111111222.3.47.255
Split into smaller subnets/27

222.3.32.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1222.3.32.0/27222.3.32.1 to 222.3.32.30222.3.32.3130
2222.3.32.32/27222.3.32.33 to 222.3.32.62222.3.32.6330
3222.3.32.64/27222.3.32.65 to 222.3.32.94222.3.32.9530
4222.3.32.96/27222.3.32.97 to 222.3.32.126222.3.32.12730
5222.3.32.128/27222.3.32.129 to 222.3.32.158222.3.32.15930
6222.3.32.160/27222.3.32.161 to 222.3.32.190222.3.32.19130
7222.3.32.192/27222.3.32.193 to 222.3.32.222222.3.32.22330
8222.3.32.224/27222.3.32.225 to 222.3.32.254222.3.32.25530
9222.3.33.0/27222.3.33.1 to 222.3.33.30222.3.33.3130
10222.3.33.32/27222.3.33.33 to 222.3.33.62222.3.33.6330
11222.3.33.64/27222.3.33.65 to 222.3.33.94222.3.33.9530
12222.3.33.96/27222.3.33.97 to 222.3.33.126222.3.33.12730
13222.3.33.128/27222.3.33.129 to 222.3.33.158222.3.33.15930
14222.3.33.160/27222.3.33.161 to 222.3.33.190222.3.33.19130
15222.3.33.192/27222.3.33.193 to 222.3.33.222222.3.33.22330
16222.3.33.224/27222.3.33.225 to 222.3.33.254222.3.33.25530
17222.3.34.0/27222.3.34.1 to 222.3.34.30222.3.34.3130
18222.3.34.32/27222.3.34.33 to 222.3.34.62222.3.34.6330
19222.3.34.64/27222.3.34.65 to 222.3.34.94222.3.34.9530
20222.3.34.96/27222.3.34.97 to 222.3.34.126222.3.34.12730
21222.3.34.128/27222.3.34.129 to 222.3.34.158222.3.34.15930
22222.3.34.160/27222.3.34.161 to 222.3.34.190222.3.34.19130
23222.3.34.192/27222.3.34.193 to 222.3.34.222222.3.34.22330
24222.3.34.224/27222.3.34.225 to 222.3.34.254222.3.34.25530
25222.3.35.0/27222.3.35.1 to 222.3.35.30222.3.35.3130
26222.3.35.32/27222.3.35.33 to 222.3.35.62222.3.35.6330
27222.3.35.64/27222.3.35.65 to 222.3.35.94222.3.35.9530
28222.3.35.96/27222.3.35.97 to 222.3.35.126222.3.35.12730
29222.3.35.128/27222.3.35.129 to 222.3.35.158222.3.35.15930
30222.3.35.160/27222.3.35.161 to 222.3.35.190222.3.35.19130
31222.3.35.192/27222.3.35.193 to 222.3.35.222222.3.35.22330
32222.3.35.224/27222.3.35.225 to 222.3.35.254222.3.35.25530
33222.3.36.0/27222.3.36.1 to 222.3.36.30222.3.36.3130
34222.3.36.32/27222.3.36.33 to 222.3.36.62222.3.36.6330
35222.3.36.64/27222.3.36.65 to 222.3.36.94222.3.36.9530
36222.3.36.96/27222.3.36.97 to 222.3.36.126222.3.36.12730
37222.3.36.128/27222.3.36.129 to 222.3.36.158222.3.36.15930
38222.3.36.160/27222.3.36.161 to 222.3.36.190222.3.36.19130
39222.3.36.192/27222.3.36.193 to 222.3.36.222222.3.36.22330
40222.3.36.224/27222.3.36.225 to 222.3.36.254222.3.36.25530
41222.3.37.0/27222.3.37.1 to 222.3.37.30222.3.37.3130
42222.3.37.32/27222.3.37.33 to 222.3.37.62222.3.37.6330
43222.3.37.64/27222.3.37.65 to 222.3.37.94222.3.37.9530
44222.3.37.96/27222.3.37.97 to 222.3.37.126222.3.37.12730
45222.3.37.128/27222.3.37.129 to 222.3.37.158222.3.37.15930
46222.3.37.160/27222.3.37.161 to 222.3.37.190222.3.37.19130
47222.3.37.192/27222.3.37.193 to 222.3.37.222222.3.37.22330
48222.3.37.224/27222.3.37.225 to 222.3.37.254222.3.37.25530
49222.3.38.0/27222.3.38.1 to 222.3.38.30222.3.38.3130
50222.3.38.32/27222.3.38.33 to 222.3.38.62222.3.38.6330
51222.3.38.64/27222.3.38.65 to 222.3.38.94222.3.38.9530
52222.3.38.96/27222.3.38.97 to 222.3.38.126222.3.38.12730
53222.3.38.128/27222.3.38.129 to 222.3.38.158222.3.38.15930
54222.3.38.160/27222.3.38.161 to 222.3.38.190222.3.38.19130
55222.3.38.192/27222.3.38.193 to 222.3.38.222222.3.38.22330
56222.3.38.224/27222.3.38.225 to 222.3.38.254222.3.38.25530
57222.3.39.0/27222.3.39.1 to 222.3.39.30222.3.39.3130
58222.3.39.32/27222.3.39.33 to 222.3.39.62222.3.39.6330
59222.3.39.64/27222.3.39.65 to 222.3.39.94222.3.39.9530
60222.3.39.96/27222.3.39.97 to 222.3.39.126222.3.39.12730
61222.3.39.128/27222.3.39.129 to 222.3.39.158222.3.39.15930
62222.3.39.160/27222.3.39.161 to 222.3.39.190222.3.39.19130
63222.3.39.192/27222.3.39.193 to 222.3.39.222222.3.39.22330
64222.3.39.224/27222.3.39.225 to 222.3.39.254222.3.39.25530
65222.3.40.0/27222.3.40.1 to 222.3.40.30222.3.40.3130
66222.3.40.32/27222.3.40.33 to 222.3.40.62222.3.40.6330
67222.3.40.64/27222.3.40.65 to 222.3.40.94222.3.40.9530
68222.3.40.96/27222.3.40.97 to 222.3.40.126222.3.40.12730
69222.3.40.128/27222.3.40.129 to 222.3.40.158222.3.40.15930
70222.3.40.160/27222.3.40.161 to 222.3.40.190222.3.40.19130
71222.3.40.192/27222.3.40.193 to 222.3.40.222222.3.40.22330
72222.3.40.224/27222.3.40.225 to 222.3.40.254222.3.40.25530
73222.3.41.0/27222.3.41.1 to 222.3.41.30222.3.41.3130
74222.3.41.32/27222.3.41.33 to 222.3.41.62222.3.41.6330
75222.3.41.64/27222.3.41.65 to 222.3.41.94222.3.41.9530
76222.3.41.96/27222.3.41.97 to 222.3.41.126222.3.41.12730
77222.3.41.128/27222.3.41.129 to 222.3.41.158222.3.41.15930
78222.3.41.160/27222.3.41.161 to 222.3.41.190222.3.41.19130
79222.3.41.192/27222.3.41.193 to 222.3.41.222222.3.41.22330
80222.3.41.224/27222.3.41.225 to 222.3.41.254222.3.41.25530
81222.3.42.0/27222.3.42.1 to 222.3.42.30222.3.42.3130
82222.3.42.32/27222.3.42.33 to 222.3.42.62222.3.42.6330
83222.3.42.64/27222.3.42.65 to 222.3.42.94222.3.42.9530
84222.3.42.96/27222.3.42.97 to 222.3.42.126222.3.42.12730
85222.3.42.128/27222.3.42.129 to 222.3.42.158222.3.42.15930
86222.3.42.160/27222.3.42.161 to 222.3.42.190222.3.42.19130
87222.3.42.192/27222.3.42.193 to 222.3.42.222222.3.42.22330
88222.3.42.224/27222.3.42.225 to 222.3.42.254222.3.42.25530
89222.3.43.0/27222.3.43.1 to 222.3.43.30222.3.43.3130
90222.3.43.32/27222.3.43.33 to 222.3.43.62222.3.43.6330
91222.3.43.64/27222.3.43.65 to 222.3.43.94222.3.43.9530
92222.3.43.96/27222.3.43.97 to 222.3.43.126222.3.43.12730
93222.3.43.128/27222.3.43.129 to 222.3.43.158222.3.43.15930
94222.3.43.160/27222.3.43.161 to 222.3.43.190222.3.43.19130
95222.3.43.192/27222.3.43.193 to 222.3.43.222222.3.43.22330
96222.3.43.224/27222.3.43.225 to 222.3.43.254222.3.43.25530
97222.3.44.0/27222.3.44.1 to 222.3.44.30222.3.44.3130
98222.3.44.32/27222.3.44.33 to 222.3.44.62222.3.44.6330
99222.3.44.64/27222.3.44.65 to 222.3.44.94222.3.44.9530
100222.3.44.96/27222.3.44.97 to 222.3.44.126222.3.44.12730
101222.3.44.128/27222.3.44.129 to 222.3.44.158222.3.44.15930
102222.3.44.160/27222.3.44.161 to 222.3.44.190222.3.44.19130
103222.3.44.192/27222.3.44.193 to 222.3.44.222222.3.44.22330
104222.3.44.224/27222.3.44.225 to 222.3.44.254222.3.44.25530
105222.3.45.0/27222.3.45.1 to 222.3.45.30222.3.45.3130
106222.3.45.32/27222.3.45.33 to 222.3.45.62222.3.45.6330
107222.3.45.64/27222.3.45.65 to 222.3.45.94222.3.45.9530
108222.3.45.96/27222.3.45.97 to 222.3.45.126222.3.45.12730
109222.3.45.128/27222.3.45.129 to 222.3.45.158222.3.45.15930
110222.3.45.160/27222.3.45.161 to 222.3.45.190222.3.45.19130
111222.3.45.192/27222.3.45.193 to 222.3.45.222222.3.45.22330
112222.3.45.224/27222.3.45.225 to 222.3.45.254222.3.45.25530
113222.3.46.0/27222.3.46.1 to 222.3.46.30222.3.46.3130
114222.3.46.32/27222.3.46.33 to 222.3.46.62222.3.46.6330
115222.3.46.64/27222.3.46.65 to 222.3.46.94222.3.46.9530
116222.3.46.96/27222.3.46.97 to 222.3.46.126222.3.46.12730
117222.3.46.128/27222.3.46.129 to 222.3.46.158222.3.46.15930
118222.3.46.160/27222.3.46.161 to 222.3.46.190222.3.46.19130
119222.3.46.192/27222.3.46.193 to 222.3.46.222222.3.46.22330
120222.3.46.224/27222.3.46.225 to 222.3.46.254222.3.46.25530
121222.3.47.0/27222.3.47.1 to 222.3.47.30222.3.47.3130
122222.3.47.32/27222.3.47.33 to 222.3.47.62222.3.47.6330
123222.3.47.64/27222.3.47.65 to 222.3.47.94222.3.47.9530
124222.3.47.96/27222.3.47.97 to 222.3.47.126222.3.47.12730
125222.3.47.128/27222.3.47.129 to 222.3.47.158222.3.47.15930
126222.3.47.160/27222.3.47.161 to 222.3.47.190222.3.47.19130
127222.3.47.192/27222.3.47.193 to 222.3.47.222222.3.47.22330
128222.3.47.224/27222.3.47.225 to 222.3.47.254222.3.47.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses